Index: app_voicemail.c
===================================================================
--- app_voicemail.c	(revision 53494)
+++ app_voicemail.c	(working copy)
@@ -1870,8 +1870,12 @@
 	} else
 		fprintf(p, "From: Asterisk PBX <%s>\r\n", who);
 	len_passdata = strlen(vmu->fullname) * 2 + 1;
-	passdata2 = alloca(len_passdata);
-	fprintf(p, "To: %s <%s>\r\n", quote(vmu->fullname, passdata2, len_passdata), vmu->email);
+	if (len_passdata>1) {	/* fullname isn't empty */
+		passdata2 = alloca(len_passdata);
+		fprintf(p, "To: %s <%s>\r\n", quote(vmu->fullname, passdata2, len_passdata), vmu->email);
+	} else {
+		fprintf(p, "To: %s\r\n", vmu->email);
+	}
 	if (emailsubject) {
 		struct ast_channel *ast;
 		if ((ast = ast_channel_alloc(0, AST_STATE_DOWN, 0, 0, 0))) {
